aboutsummaryrefslogtreecommitdiffstats
path: root/main/xgamma
diff options
context:
space:
mode:
Diffstat (limited to 'main/xgamma')
-rw-r--r--main/xgamma/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/main/xgamma/APKBUILD b/main/xgamma/APKBUILD
new file mode 100644
index 0000000000..a980fcf4ce
--- /dev/null
+++ b/main/xgamma/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xgamma
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="Alter a monitor's gamma correction through the X server"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+depends=
+makedepends="pkgconfig libx11-dev libxxf86vm-dev"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="e8a88bf1a18f35b724619849dca97f4f xgamma-1.0.3.tar.bz2"